[3.1] Plötzlich Fehler / PHP Update schuld?

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
michael1508
Mitglied
Beiträge: 2
Registriert: 06.06.2019 22:36

[3.1] Plötzlich Fehler / PHP Update schuld?

Beitragvon michael1508 » 06.06.2019 22:48

Hallo,

ich hatte vor 2 Jahren phpBB 3.1 bei Strato über einen Wizzard installiert. Funktionierte bis vor kurzem alles einwandfrei.
Ich habe neulich bei Strato die PHP Version von 5.x auf 7.2 umstellen müssen. Ich meine, seit dem funktioniert das Forum nicht mehr.
Bei Aufruf der Startseite erhalte ich Fehlermeldungen zu der Datei session.php und functions.php
Zum Bsp:
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 571: sizeof(): Parameter must be an array or an object that implements Countable
phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5336: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3925)


Was ich bereits gemacht habe:
- PHP Version 7.2 auch für das phpBB per htaccess Datei aktiviert
- config.php gecheckt, ob dort "mysqli" eingetragen ist

Strato Support war nicht wirklich hilfreich...ich hoffe, jemand kann mich hier in die richtige Richtung stupsen...

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10210
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.1] Plötzlich Fehler / PHP Update schuld?

Beitragvon Crizzo » 06.06.2019 23:02

Hi,

phpBB 3.1 ist nicht kompatibel mit PHP 7.x, daher musst du auf phpBB 3.2.x aktualisieren und dann läuft es auch mit PHP 7.1/7.2

Grüße

michael1508
Mitglied
Beiträge: 2
Registriert: 06.06.2019 22:36

Re: [3.1] Plötzlich Fehler / PHP Update schuld?

Beitragvon michael1508 » 07.06.2019 02:06

Danke - das war's!


Zurück zu „Support-Forum“